bcr_test_module:
  module_path: test
  matrix:
    # Currently does not build in Windows due to SIMD dispatch flags not taking into account cl.exe
    # Also, for HighGUI on Linux, a GTK3 is needed, which should be provided via @opencv//:gtk3 label flag.
    # This is tested only on Ubuntu, where test module installs the GTK3 with system's package manager and
    # then imports it to the workspace.
    ubuntu_with_gtk3:
    - ubuntu2204
    - ubuntu2004_arm64
    platform:
    - rockylinux8
    - debian11
    - ubuntu2204
    - ubuntu2004_arm64
    - macos
    - macos_arm64
    bazel:
    - 7.x
    - 8.x
    - 9.*
  tasks:
    verify_targets:
      name: Verify build targets
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - '@opencv//:opencv'
    verify_targets_gtk3:
      name: Verify build targets on Ubuntu with system GTK3
      platform: ${{ ubuntu_with_gtk3 }}
      bazel: 8.x
      shell_commands:
        - sudo apt update && sudo apt install -y libgtk-3-dev
      build_flags:
        - "--@opencv//:gtk3=@ubuntu-gtk-deps//:gtk3"
        - "--@opencv//:with_gtk3=True"
      build_targets:
      - '@opencv//:opencv'
